VirtualBox Main API

Public Attributes | List of all members
IDHCPIndividualConfig Interface Reference

Configuration for a single NIC, either given directly by MAC address or by VM + adaptor slot number. More...

Inheritance diagram for IDHCPIndividualConfig:

## Public Attributes
readonly attribute wstring | MACAddress
| The MAC address.
readonly attribute wstringUUID | machineId
| The virtual machine ID if a DHCPConfigScope_MachineNIC config, null UUID for DHCPConfigScope_MAC.
readonly attribute unsigned long | slot
| The NIC slot number of the VM if a DHCPConfigScope_MachineNIC config.
attribute wstring | fixedAddress
| Fixed IPv4 address assignment, dynamic if empty.
Public Attributes inherited from IDHCPConfig
readonly attribute DHCPConfigScope | scope
| Indicates the kind of config this is (mostly for IDHCPIndividualConfig).
attribute unsigned long | minLeaseTime
| The minimum lease time in seconds, ignored if zero.
attribute unsigned long | defaultLeaseTime
| The default lease time in seconds, ignored if zero.
attribute unsigned long | maxLeaseTime
| The maximum lease time in seconds, ignored if zero.
attribute DHCPOption[] | forcedOptions
| List of DHCP options which should be forced upon the clients in this config scope when they are available, whether the clients asks for them or not.
attribute DHCPOption[] | suppressedOptions
| List of DHCP options which should not be sent to the clients in this config scope.

## Additional Inherited Members
Public Member Functions inherited from IDHCPConfig
void | setOption (in DHCPOption option, in DHCPOptionEncoding encoding, in wstring value)
| Sets a DHCP option.
void | removeOption (in DHCPOption option)
| Removes the given DHCP option.
void | removeAllOptions ()
| Removes all the options.
void | getOption (in DHCPOption option, out DHCPOptionEncoding encoding, [retval] out wstring value)
| Gets the value of a single DHCP option.
void | getAllOptions (out DHCPOption[] options, out DHCPOptionEncoding[] encodings, [retval] out wstring[] values)
| Gets all DHCP options and their values.
void | remove ()
| Remove this group or individual configuration.

## Detailed Description

Configuration for a single NIC, either given directly by MAC address or by VM + adaptor slot number.

Interface ID:
  `{C40C2B86-73A5-46CC-8227-93FE57D006A6}`

## Member Data Documentation

## ◆ MACAddress

readonly attribute wstring IDHCPIndividualConfig::MACAddress

The MAC address.

If a DHCPConfigScope_MachineNIC config, this will be queried via the VM ID.

## ◆ machineId

readonly attribute wstringUUID IDHCPIndividualConfig::machineId

The virtual machine ID if a DHCPConfigScope_MachineNIC config, null UUID for DHCPConfigScope_MAC.

## ◆ slot

readonly attribute unsigned long IDHCPIndividualConfig::slot

The NIC slot number of the VM if a DHCPConfigScope_MachineNIC config.

## ◆ fixedAddress

attribute wstring IDHCPIndividualConfig::fixedAddress

Fixed IPv4 address assignment, dynamic if empty.